summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Matt Egger2022-06-10 23:40:33 +0200
committer Willy Sudiarto Raharjo2022-06-11 03:59:04 +0200
commit05b2978c3a9150e5a2fda996c5943524d721e48e (patch)
tree2350d23d99e1f75283e62603df4ae6c4de37330f /games
parent991053ad2b2cd7290364def86aed6f99159e9cea (diff)
downloadslackbuilds-05b2978c3a9150e5a2fda996c5943524d721e48e.tar.gz
games/rolldice: Added (CLI dice roller)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/rolldice/README5
-rw-r--r--games/rolldice/rolldice.SlackBuild99
-rw-r--r--games/rolldice/rolldice.info10
-rw-r--r--games/rolldice/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/games/rolldice/README b/games/rolldice/README
new file mode 100644
index 0000000000..1fb8f90482
--- /dev/null
+++ b/games/rolldice/README
@@ -0,0 +1,5 @@
+rolldice (CLI dice roller)
+
+rolldice is just a simple program that rolls an amount of virtual
+dice of(almost) any size. It's provided under the GPL 2.0 License,
+and uses the GNU Readline library.
diff --git a/games/rolldice/rolldice.SlackBuild b/games/rolldice/rolldice.SlackBuild
new file mode 100644
index 0000000000..81c229e621
--- /dev/null
+++ b/games/rolldice/rolldice.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for rolldice
+
+# Copyright 2022, Matt Egger, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=rolldice
+VERSION=${VERSION:-1.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man6
+mv $PKG/usr/share/man/man6/rolldice.6.gz $PKG/usr/man/man6/rolldice.6.gz
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/rolldice/rolldice.info b/games/rolldice/rolldice.info
new file mode 100644
index 0000000000..2653ac45db
--- /dev/null
+++ b/games/rolldice/rolldice.info
@@ -0,0 +1,10 @@
+PRGNAM="rolldice"
+VERSION="1.16"
+HOMEPAGE="https://github.com/sstrickl/rolldice"
+DOWNLOAD="https://github.com/sstrickl/rolldice/archive/v1.16/rolldice-1.16.tar.gz"
+MD5SUM="d2456d2411321167aeb0285bdd458e15"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matt Egger"
+EMAIL="bru.barwal@sdf.org"
diff --git a/games/rolldice/slack-desc b/games/rolldice/slack-desc
new file mode 100644
index 0000000000..95fbf970df
--- /dev/null
+++ b/games/rolldice/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rolldice: rolldice (CLI dice roller)
+rolldice:
+rolldice: rolldice is just a simple program that rolls an amount of virtual
+rolldice: dice of(almost) any size. It's provided under the GPL 2.0 License,
+rolldice: and uses the GNU Readline library.
+rolldice:
+rolldice: https://github.com/sstrickl/rolldice
+rolldice:
+rolldice:
+rolldice:
+rolldice: